LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 03-16-2004, 03:48 AM   #1
Zero-0-Effect
Member
 
Registered: Sep 2002
Location: Texas
Distribution: SlackWare - Current LFS - CVS
Posts: 267

Rep: Reputation: 31
mozilla 1.6 Fontconfig error... invalid token


Just installed Mozilla without any problems during the install.
Mozilla 1.6

Upon running I recieve these warnings and errors and mozilla will not run. Is there a way to fix this?

(mozilla-bin:219): Gdk-WARNING **: locale not supported by Xlib
(mozilla-bin:219): Gdk-WARNING **: can not set locale modifiers
Fontconfig error: line 21: not well-formed (invalid token)
Fontconfig error: Cannot load default config file

Here is the commands that I used to install:

export MOZILLA_OFFICIAL="1" &&
export BUILD_OFFICIAL="1" &&
./configure --prefix=/usr \
--with-default-mozilla-five-home=/usr/lib/mozilla \
--enable-default-toolkit=gtk2 \
--with-x --with-system-zlib \
--with-system-jpeg --with-system-png --with-system-mng \
--enable-xft --enable-crypto \
--disable-accessibility \
--disable-tests --disable-debug \
--disable-logging --enable-reorder \
--enable-strip --disable-pedantic \
--enable-cpp-rtti --enable-extensions=all &&
make

cd extensions/ipc &&
./makemake -r &&
make &&
cd ../enigmail &&
./makemake -r &&
make &&
cd ../..

make install &&
install -d /usr/include/mozilla-1.6/nss &&
cp -Lf dist/private/nss/*.h dist/public/nss/*.h \
/usr/include/mozilla-1.6/nss &&
ln -nsf mozilla-1.6 /usr/include/mozilla &&
ln -nsf mozilla-1.6 /usr/lib/mozilla

for i in components/enigmime.xpt \
components/ipc.xpt components/libenigmime.so components/enigmail.js \
components/enigmail.xpt chrome/enigmail.jar
do
install dist/bin/$i /usr/lib/mozilla-1.6/$i
done

cd /usr/lib/mozilla-1.6 &&
export LD_LIBRARY_PATH="/usr/lib/mozilla-1.6" &&
export MOZILLA_FIVE_HOME="/usr/lib/mozilla-1.6" &&
./regxpcom &&
./regchrome &&
touch `find /usr/lib/mozilla-1.6 -name *.rdf`

ln -sf mozilla /usr/bin/netscape


The only thing that did not work while installing was
touch `find /usr/lib/mozilla-1.6 -name *.rdf`

Fontconfig package all installed correctly as well. And the internal fontconfig was disabled during my XF86 install so as to not have two conflicting versions of fontconfig. While im here might as well post my other problem and see if we cant resolve them both. When running xterm..xclock, xcalc or any such I get this error
xterm: relocation error: /usr/X11R6/lib/libXaw.so.7: undefined symbol: XmuCvtGravityToString

Last edited by Zero-0-Effect; 03-16-2004 at 03:49 AM.
 
Old 03-29-2004, 04:02 AM   #2
Sherif Tawfic
LQ Newbie
 
Registered: Mar 2004
Posts: 1

Rep: Reputation: 0
Angry sick xterm relocation error!

I am having a problem with xterm relocation, same as what you have written in the last few lines of your message. I wish someone someday resolve this issue.

Thanx in advance.

Sherif.
 
Old 06-07-2004, 04:52 AM   #3
Gay R0b0t
Member
 
Registered: May 2004
Location: Sydney, Australia
Distribution: SUSE 9.3
Posts: 127

Rep: Reputation: 15
When I try running Slicker i get the error:
Fontconfig error: Cannot load default config file
Everything compiled just fine, but when I tryed to run it came up with that error.

If I then try to make any changes to my system and then re-run it, the system tells me that it is already running.

If there is somewhere I can look for help or anyone knows anything that would be great.

ps if it helps, i think my Fontconfig version is 2.1.7
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
error: unexpected token `newline' CarlosV Programming 4 05-17-2011 03:47 AM
Authentication Token Manipulation Error manfernandez Linux - Security 10 06-06-2008 11:49 AM
Many errors when 'make'ing (example: error: syntax error before `::' token) darkblade Linux - Software 5 03-02-2005 03:00 PM
authentication token manipulation error abuelmaati Linux - Newbie 3 02-04-2005 07:21 AM
Undecodable token error ?? Thymox Linux - General 3 11-18-2002 06:11 PM


All times are GMT -5. The time now is 01:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration